httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From The Disguised Jedi <disguised.j...@gmail.com>
Subject Re: [users@httpd] problem installing PHP with apache2
Date Tue, 07 Dec 2004 03:15:14 GMT
> > i am installing PHP4.0 with apache 2.0.52 on windows XP machine.
> > in my httpd.conf i made following entry.
> >
> > LoadModule php4_apache "c:/program files/php/sapi/php4apache.dll"
> >
> > but after modifying the httpd.conf file when i restart the apache service
> >
> > it gives following error.
> >
> > Can't locate API module structure `php4_apache' in file C:/Program
> > Files/php/sapi/php4apache2.dll: No error    .

You should stick all of the following lines in your httpd.conf file to load php

# ---
# For PHP 4 do something like this:
LoadModule php4_module "c:/program files/php/sapi/php4apache2.dll"
AddType application/x-httpd-php .php

# configure the path to php.ini
PHPIniDir "C:/WINDOWS"
# ---

Apache needs to know where the INI for php is.  It reports an error
with this by either stating "No Error" or "Cannot Find Module
Specified".  If you haven't already done so, move the "php.ini" file
to your windows directory.  Of course, replace any drive letters with
the real thing!

-- 
The Disguised Jedi
disguised.jedi@gmail.com

PHP rocks!

Disclaimer: Any disclaimer attached to this message may be ignored.
This message is Certified Virus Free

---------------------------------------------------------------------
The official User-To-User support forum of the Apache HTTP Server Project.
See <URL:http://httpd.apache.org/userslist.html> for more info.
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
   "   from the digest: users-digest-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message